Subject: Re: bug#57522: 29.0.50; Fix submenu indicator on X11 no toolkit

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Sep 2022 09:33:54 +0300

> Cc: [email-masked]
> Date: Fri, 02 Sep 2022 09:16:48 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Manuel Giraud <[email-masked]> writes:
> 
> > Here is a patch that make the submenu indicator " >" appear with X11
> > no-toolkit.
> 
> That isn't how submenus are supposed to work in the oldXMenu library.
> Each submenu is actually a "pane"; you can click on an item in one pane,
> which activates the next pane.  An arrow indicator doesn't make sense,
> since the next pane will not be activated where the indicator points to.

How is this different from what happens with menus on TTY frames?